Loading...
Searching...
No Matches
seqan3::file_open_error Struct Reference
IO

Thrown if there is an unspecified filesystem or stream error while opening, e.g. permission problem. More...

`#include <seqan3/io/exception.hpp>`

Inheritance diagram for seqan3::file_open_error:
[legend]

## Public Member Functions

| file_open_error (std::string const &s)
| Constructor that forwards the exception string.
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)

## Detailed Description

Thrown if there is an unspecified filesystem or stream error while opening, e.g. permission problem.

The documentation for this struct was generated from the following file:

- io/exception.hpp

Hide me